SPRING DATA GEMFIRE CHANGELOG
-----------------------------
http://www.springsource.org/spring-gemfire
=============================

Changes in version 2.1.0.RC1 (2018-07-26)
-----------------------------------------
* SGF-769 - Adapt to API changes in the core Spring Framework.
* SGF-768 - Review and merge SDG Reference Guide Edits.
* SGF-767 - Annotations in imported configuration files not working.
* SGF-766 - Upgrade to Pivotal GemFire 9.5.1.
* SGF-765 - Allow CacheTypeAwareFactoryBean to register interests on client Region creation and implement SmartLifecycle.
* SGF-764 - Relax type matching for resolving Function arguments in FunctionContextInjectingArgumentResolver.
* SGF-761 - Refactor Function annotation configuration to be smarter in resolving Apache Geode objects on startup.
* SGF-760 - Do not allow eager init when getting beans by type to resolve Configurers for Annotation configuration.
* SGF-757 - Move configuration of PDX to a PdxConfiguration class imported by the EnablePdx annotation.
* SGF-756 - Add ability to declare include filters in addition to exclude filters on o.s.d.g.mapping.MappingPdxSerializer.
* SGF-755 - Add serializable-object-filter and validate-serializable-objects attributes to EnableGemFireProperties.
* SGF-754 - Add name attribute to EnableGemFireProperties.
* SGF-753 - Clean BeanFactoryLocator references on CacheFactoryBean destroy.
* SGF-752 - Add ability to configure SecurityManager on CacheFactoryBean.
* SGF-751 - Move client Region interests registration to on SmartLifecycle start.
* SGF-750 - Downgrade to Pivotal GemFire 9.3.
* SGF-748 - Release 2.1 RC1 (Lovelace).


Changes in version 2.0.8.RELEASE (2018-06-13)
---------------------------------------------
* SGF-761 - Refactor Function annotation configuration to be smarter in resolving Apache Geode objects on startup.
* SGF-760 - Do not allow eager init when getting beans by type to resolve Configurers for Annotation configuration.
* SGF-757 - Move configuration of PDX to a PdxConfiguration class imported by the EnablePdx annotation.
* SGF-756 - Add ability to declare include filters in addition to exclude filters on o.s.d.g.mapping.MappingPdxSerializer.
* SGF-754 - Add name attribute to EnableGemFireProperties.
* SGF-753 - Clean BeanFactoryLocator references on CacheFactoryBean destroy.
* SGF-752 - Add ability to configure SecurityManager on CacheFactoryBean.
* SGF-751 - Move client Region interests registration to on SmartLifecycle start.
* SGF-747 - Properly enable statistics when Annotation-based Expiration Policies are enabled with EnableExpiration.
* SGF-745 - Add ability to filter types de/serialized by the o.s.d.g.mapping.MappingPdxSerializer.
* SGF-744 - Release 2.0.8 (Kay SR8).
* SGF-732 - Change branding from Spring Data GemFire to Spring Data for Pivotal GemFire.


Changes in version 1.9.13.RELEASE (2018-06-13)
----------------------------------------------
* SGF-759 - Add support for Include Filters to MappingPdxSerializer.
* SGF-758 - Exclude Java and Spring Framework Types when using MappingPdxSerializer.
* SGF-745 - Add ability to filter types de/serialized by the o.s.d.g.mapping.MappingPdxSerializer.
* SGF-743 - Release 1.9.13 (Ingalls SR13).


Changes in version 2.1.0.M3 (2018-05-17)
----------------------------------------
* SGF-747 - Properly enable statistics when Annotation-based Expiration Policies are enabled with EnableExpiration.
* SGF-746 - Adapt to SpEL Extension API changes in Spring Data Commons.
* SGF-745 - Add ability to filter types de/serialized by the o.s.d.g.mapping.MappingPdxSerializer.
* SGF-742 - Upgrade to Pivotal GemFire 9.5.
* SGF-741 - Add support for enforcing Lucene Index creation before Region creation.
* SGF-739 - Add support for setting a LuceneSerializer on LuceneIndex creation.
* SGF-738 - Avoid Pool Already Exists Exception on Spring container initialization.
* SGF-737 - Release 2.1 M3 (Lovelace).
* SGF-734 - Upgrade to Pivotal GemFire 9.4.
* SGF-732 - Change branding from Spring Data GemFire to Spring Data for Pivotal GemFire.


Changes in version 2.0.7.RELEASE (2018-05-08)
---------------------------------------------
* SGF-741 - Add support for enforcing Lucene Index creation before Region creation.
* SGF-739 - Add support for setting a LuceneSerializer on LuceneIndex creation.
* SGF-738 - Avoid Pool Already Exists Exception on Spring container initialization.
* SGF-735 - RegionAttributes.offHeap is improperly overridden by RegionFactoryBean.offHeap.
* SGF-731 - Release 2.0.7 (Kay SR7).


Changes in version 1.9.12.RELEASE (2018-05-08)
----------------------------------------------
* SGF-740 - Upgrade to Pivotal GemFire 8.2.11.
* SGF-738 - Avoid Pool Already Exists Exception on Spring container initialization.
* SGF-736 - Upgrade to Pivotal GemFire 8.2.10.
* SGF-730 - Release 1.9.12 (Ingalls SR12).


Changes in version 2.1.0.M2 (2018-04-13)
----------------------------------------
* SGF-735 - RegionAttributes.offHeap is improperly overridden by RegionFactoryBean.offHeap.
* SGF-729 - Realign SSL configuration using @EnableSsl with Apache Geode's SSL configuration properties.
* SGF-728 - Remove explicit declaration of Jackson library versions.
* SGF-727 - Remove all git merge conflict tags in SDG source code Javadoc.
* SGF-726 - Impossible to define event filter for AsyncEventQueue.
* SGF-725 - Export composable repositories via CDI.
* SGF-724 - Add configuration support for critical and eviction off-heap percentages in client, peer and cache server application annotations.
* SGF-720 - Fix CI test failures caused by changes in Spring Data Commons CDI Repository support allowing unlimited implementation classes.
* SGF-719 - Extend MappingPdxSerializer to allow registering custom PdxSerializers based on fully qualified property name.
* SGF-718 - Release 2.1 M2 (Lovelace).
* SGF-713 - Override generated OQL from Repository query methods.


Changes in version 2.0.6.RELEASE (2018-04-04)
---------------------------------------------
* SGF-729 - Realign SSL configuration using @EnableSsl with Apache Geode's SSL configuration properties.
* SGF-728 - Remove explicit declaration of Jackson library versions.
* SGF-727 - Remove all git merge conflict tags in SDG source code Javadoc.
* SGF-726 - Impossible to define event filter for AsyncEventQueue.
* SGF-724 - Add configuration support for critical and eviction off-heap percentages in client, peer and cache server application annotations.
* SGF-723 - Release 2.0.6 (Kay SR6).


Changes in version 1.9.11.RELEASE (2018-04-04)
----------------------------------------------
* SGF-728 - Remove explicit declaration of Jackson library versions.
* SGF-726 - Impossible to define event filter for AsyncEventQueue.
* SGF-722 - Upgrade to Pivotal GemFire 8.2.9.
* SGF-719 - Extend MappingPdxSerializer to allow registering custom PdxSerializers based on fully qualified property name.
* SGF-715 - Release 1.9.11 (Ingalls SR11).
* SGF-713 - Override generated OQL from Repository query methods.


Changes in version 2.0.5.RELEASE (2018-02-28)
---------------------------------------------
* SGF-721 - Release 2.0.5 (Kay SR5).
* SGF-713 - Override generated OQL from Repository query methods.


Changes in version 2.0.4.RELEASE (2018-02-19)
---------------------------------------------
* SGF-719 - Extend MappingPdxSerializer to allow registering custom PdxSerializers based on fully qualified property name.
* SGF-716 - Release 2.0.4 (Kay SR4).


Changes in version 2.1.0.M1 (2018-02-06)
----------------------------------------
* SGF-717 - Upgrade to Pivotal GemFire 9.3.0.
* SGF-714 - edu.umd.cs.mtc:multithreadedtc is no longer test-scoped.
* SGF-712 - Fix incorrect server proxying behavior when registering local, client Regions using EnableCachingDefinedRegions.
* SGF-711 - Upgrade to Pivotal GemFire 9.2.2.
* SGF-710 - Update copyright years to 2018.
* SGF-709 - When SDG Annotation config is used to configure and bootstrap an Apache Geode server, automatically register the Administrative Functions.
* SGF-708 - Enable the spring.data.gemfire.name property to be used in addition to spring.data.gemfire.cache.name for naming members of the cluster.
* SGF-707 - Extend SDG's GemfireSimpleTypeHolder to handle Java 8 Time types.
* SGF-706 - Fix race condition between ContinuousQuery registration and EnableClusterConfiguration Region creation.
* SGF-705 - Fix MappingPdxSerializer to ignore transient, non-writable and non-entity-based (simple type) properties and fields.
* SGF-704 - Change all com.gemstone.gemfire package references in the RegionDataAccessTracingAspect Pointcuts to org.apache.geode.
* SGF-702 - Investigate long documentation build times.
* SGF-701 - Dependency on org.iq80.snappy:snappy breaks the IO Platform build and appears to be a candidate for being test scoped.
* SGF-700 - From clause Region path error occurs when creating Indexes from application domain object fields annotated with @Indexed or @Id.
* SGF-697 - Allow basePackages to be configured using a property when creating Entity-defined Regions.
* SGF-696 - Add support for invoking callbacks when loading snapshots.
* SGF-695 - Add support for parallel snapshots.
* SGF-694 - Upgrade to Pivotal GemFire 9.2.0.
* SGF-693 - Allow the QueryService to be configured as a Spring bean in the ContinuousQuery Annotation support.
* SGF-692 - Add Annotation support for Region Compression.
* SGF-691 - Fix Off-Heap Annotation config to properly handle Entity-defined and Java-based Region configuration.
* SGF-690 - Do not configure ClientRegionFactory poolName when Pool is set to DEFAULT.
* SGF-689 - Add support for JSR-107 JCache API Annotations in Caching-defined Regions.
* SGF-688 - Add support for configuring client and server Region data management policies in Entity-defined Regions.
* SGF-687 - Add support for configuring client and server Region data management policies in Caching-defined Regions.
* SGF-686 - Document use of EnableGemfireRepositories.
* SGF-682 - Beans proxied by the Spring container with declared CQs are not registered and triggered.
* SGF-681 - EnableClusterConfiguration annotation attributes are silently ignored.
* SGF-680 - Using SD Repositories and @EnableContinuousQueries causes errors with Spring container initialization.
* SGF-677 - Release 2.1 M1 (Lovelace).
* SGF-660 - Spring Cache Abstraction annotations do not trigger CQ.
* SGF-428 - Add HDFS Storage support.
* SGF-401 - Add Spark Connector support.
* SGF-243 - Support GemFire Security Features.
* SGF-224 - Support dynamic Region creation on startup.
* SGF-126 - Out of the box support for PDX.
* SGF-110 - Add annotation support for CQ Listeners.


Changes in version 2.0.3.RELEASE (2018-01-24)
---------------------------------------------
* SGF-714 - edu.umd.cs.mtc:multithreadedtc is no longer test-scoped.
* SGF-712 - Fix incorrect server proxying behavior when registering local, client Regions using EnableCachingDefinedRegions.
* SGF-709 - When SDG Annotation config is used to configure and bootstrap an Apache Geode server, automatically register the Administrative Functions.
* SGF-708 - Enable the spring.data.gemfire.name property to be used in addition to spring.data.gemfire.cache.name for naming members of the cluster.
* SGF-707 - Extend SDG's GemfireSimpleTypeHolder to handle Java 8 Time types.
* SGF-706 - Fix race condition between ContinuousQuery registration and EnableClusterConfiguration Region creation.
* SGF-705 - Fix MappingPdxSerializer to ignore transient, non-writable and non-entity-based (simple type) properties and fields.
* SGF-704 - Change all com.gemstone.gemfire package references in the RegionDataAccessTracingAspect Pointcuts to org.apache.geode.
* SGF-702 - Investigate long documentation build times.
* SGF-701 - Dependency on org.iq80.snappy:snappy breaks the IO Platform build and appears to be a candidate for being test scoped.
* SGF-700 - From clause Region path error occurs when creating Indexes from application domain object fields annotated with @Indexed or @Id.
* SGF-699 - Release 2.0.3 (Kay SR3).


Changes in version 1.9.10.RELEASE (2018-01-24)
----------------------------------------------
* SGF-703 - Upgrade to Pivotal GemFire 8.2.8.
* SGF-698 - Release 1.9.10 (Ingalls SR10).


Changes in version 2.0.2.RELEASE (2017-11-27)
---------------------------------------------
* SGF-697 - Allow basePackages to be configured using a property when creating Entity-defined Regions.
* SGF-693 - Allow the QueryService to be configured as a Spring bean in the ContinuousQuery Annotation support.
* SGF-692 - Add Annotation support for Region Compression.
* SGF-691 - Fix Off-Heap Annotation config to properly handle Entity-defined and Java-based Region configuration.
* SGF-690 - Do not configure ClientRegionFactory poolName when Pool is set to DEFAULT.
* SGF-689 - Add support for JSR-107 JCache API Annotations in Caching-defined Regions.
* SGF-688 - Add support for configuring client and server Region data management policies in Entity-defined Regions.
* SGF-687 - Add support for configuring client and server Region data management policies in Caching-defined Regions.
* SGF-686 - Document use of EnableGemfireRepositories.
* SGF-683 - Release 2.0.2 (Kay SR2).
* SGF-428 - Add HDFS Storage support.
* SGF-401 - Add Spark Connector support.
* SGF-243 - Support GemFire Security Features.
* SGF-224 - Support dynamic Region creation on startup.
* SGF-126 - Out of the box support for PDX.
* SGF-110 - Add annotation support for CQ Listeners.


Changes in version 1.9.9.RELEASE (2017-11-27)
---------------------------------------------
* SGF-679 - Release 1.9.9 (Ingalls SR9).


Changes in version 2.0.1.RELEASE (2017-10-27)
---------------------------------------------
* SGF-682 - Beans proxied by the Spring container with declared CQs are not registered and triggered.
* SGF-681 - EnableClusterConfiguration annotation attributes are silently ignored.
* SGF-680 - Using SD Repositories and @EnableContinuousQueries causes errors with Spring container initialization.
* SGF-676 - Release 2.0.1 (Kay SR1).
* SGF-660 - Spring Cache Abstraction annotations do not trigger CQ.


Changes in version 1.9.8.RELEASE (2017-10-11)
---------------------------------------------
* SGF-678 - Upgrade to Pivotal GemFire 8.2.7.
* SGF-661 - Release 1.9.8 (Ingalls SR8).


Changes in version 2.0.0.RELEASE (2017-10-02)
---------------------------------------------
* SGF-675 - Add documentation in SDG's Reference Guide for the new Annotation-based configuration model.
* SGF-674 - Add EnableClusterConfiguration annotation to push cluster configuration meta-data from the client to the server.
* SGF-673 - Refactor API names used in the Annotation config and GemFire Mock Objects support.
* SGF-672 - Use GemFire's DEFAULT Pool when a Pool cannot be resolved from the Spring context.
* SGF-670 - Add explicit automatic module name for Java 9.
* SGF-669 - Upgrade to OpenWebBeans 2.0.1.
* SGF-668 - Add Annotation configuration support for Continuous Queries.
* SGF-667 - Apply Java 8 types and functionality to the Continuous Query support.
* SGF-665 - Upgrade to Pivotal GemFire 9.1.1.
* SGF-664 - Fix LuceneOperationsIntegrationTests CI failures.
* SGF-663 - Fix PoolsConfiguredWithLocatorsAndServersExpressionsIntegrationTests CI failures.
* SGF-662 - Release 2.0 GA (Kay).


Changes in version 2.0.0.RC3 (2017-09-11)
-----------------------------------------
* SGF-657 - Add missing configuration support for Off-Heap.
* SGF-656 - Add EnableCachingDefinedRegions annotation to configure GemFire Regions based on Spring Caching annotations.
* SGF-655 - Move custom Asciidoctor Maven build plugin configuration testing HTML doc generation into profile.
* SGF-654 - Fix Reference Guide formatting.
* SGF-652 - Typo in documentation.
* SGF-651 - Release 2.0 RC3 (Kay).


Changes in version 1.9.7.RELEASE (2017-09-11)
---------------------------------------------
* SGF-658 - Upgrade to Pivotal GemFire 8.2.6.
* SGF-655 - Move custom Asciidoctor Maven build plugin configuration testing HTML doc generation into profile.
* SGF-654 - Fix Reference Guide formatting.
* SGF-653 - Release 1.9.7 (Ingalls SR7).


Changes in version 1.9.6.RELEASE (2017-07-26)
---------------------------------------------
* SGF-649 - Release 1.9.6 (Ingalls SR6).


Changes in version 2.0.0.RC2 (2017-07-25)
-----------------------------------------
* SGF-650 - Release 2.0 RC2 (Kay).


Changes in version 2.0.0.RC1 (2017-07-25)
-----------------------------------------
* SGF-648 - Enhance @EnableSecurity to provide a default implementation of the GemFire AuthInitialize interface.
* SGF-647 - Add EnableBeanFactoryLocator annotation to enable the GemfireBeanFactoryLocator on Cache creation.
* SGF-646 - Add Annotation to configure and enable Spring's Transaction Management with Local, GemFire Cache Transactions.
* SGF-645 - Add Annotation to configure and enable the Spring Cache Abstraction with the GemfireCacheManager.
* SGF-644 - Upgrade to Pivotal GemFire 9.1.0.
* SGF-643 - Meta-annotate all uses of GemFire-based property configuration in the Annotation config model.
* SGF-642 - Introduce new Pivotal GemFire Mock Objects infrastructure for Unit Testing.
* SGF-641 - Introduce well-known, documented properties for Annotation config attributes.
* SGF-640 - Adapt to API changes in mapping subsystem.
* SGF-638 - Adapt to API changes in RepositoryConfigurationSourceSupport.
* SGF-637 - Improve IndexFactoryBean's resilience and options for handling GemFire IndexExistsExceptions and IndexNameConflictExceptions.
* SGF-636 - Add support for GemFire JCA ResourceAdapter.
* SGF-635 - Release 2.0 RC1 (Kay).


Changes in version 1.9.5.RELEASE (2017-07-24)
---------------------------------------------
* SGF-638 - Adapt to API changes in RepositoryConfigurationSourceSupport.
* SGF-637 - Improve IndexFactoryBean's resilience and options for handling GemFire IndexExistsExceptions and IndexNameConflictExceptions.
* SGF-636 - Add support for GemFire JCA ResourceAdapter.
* SGF-634 - Release 1.9.5 (Ingalls SR5).


Changes in version 2.0.0.M4 (2017-06-14)
----------------------------------------
* SGF-629 - Upgrade to Pivotal GemFire 9.0.4.
* SGF-628 - Ensure locators and servers are configured correctly when using <gfe:pool> attributes.
* SGF-627 - Release 2.0 M4 (Kay).
* SGF-626 - Javadoc is not part of the distribution build.
* SGF-604 - Add Configurers to enable dynamic configuration in the new SDG Annotation configuration model.
* SGF-586 - Allow dynamic configuration with property placeholders and SpEL expressions when using SDG Annotation config for String-based attributes.


Changes in version 1.9.4.RELEASE (2017-06-08)
---------------------------------------------
* SGF-630 - Upgrade to Pivotal GemFire 8.2.5.
* SGF-628 - Ensure locators and servers are configured correctly when using <gfe:pool> attributes.
* SGF-619 - Release 1.9.4 (Ingalls SR4).


Changes in version 1.8.11.RELEASE (2017-06-07)
----------------------------------------------
* SGF-628 - Ensure locators and servers are configured correctly when using <gfe:pool> attributes.
* SGF-618 - Release 1.8.11 (Hopper SR11).


Changes in version 2.0.0.M3 (2017-05-09)
----------------------------------------
* SGF-625 - Add execution to Asciidoctor Maven Build Plugin to generate HTML for the SDG Reference Guide.
* SGF-624 - Fix up Lucene Integration tests and Region namespace test to improve reliability.
* SGF-623 - Adapt to API changes in Repository interfaces.
* SGF-622 - Adapt to API changes in CrudRepository.
* SGF-620 - Fix GemfireSimpleTypeHolderTest due to API changes in SDC SimpleTypeHolder.
* SGF-614 - Upgrade to Pivotal GemFire 9.0.3.
* SGF-613 - Release 2.0 M3 (Kay).
* SGF-611 - Create Spring Data Geode project.
* SGF-302 - Review and edit 'Client Interests' section in SDG Reference Guide on GemFire Register Interests.
* SGF-300 - Review, edit and update Spring Data GemFire Reference Guide.


Changes in version 1.8.10.RELEASE (2017-04-19)
----------------------------------------------
* SGF-617 - Release 1.8.10 (Hopper SR10).


Changes in version 1.9.3.RELEASE (2017-04-19)
---------------------------------------------
* SGF-616 - Release 1.9.3 (Ingalls SR3).


Changes in version 1.8.9.RELEASE (2017-04-19)
---------------------------------------------
* SGF-601 - Release 1.8.9 (Hopper SR9).


Changes in version 1.9.2.RELEASE (2017-04-19)
---------------------------------------------
* SGF-608 - Upgrade to Pivotal GemFire 8.2.4.
* SGF-600 - Release 1.9.2 (Ingalls SR2).


Changes in version 2.0.0.M2 (2017-04-04)
----------------------------------------
* SGF-607 - Upgrade to Pivotal GemFire 9.0.2.
* SGF-606 - Adapt to Spring Data Commons RepositoryConfigurationExtension API changes.
* SGF-605 - Add override attribute defaulted to false in the @Indexed annotation.
* SGF-603 - Add ignoreIfExists attribute defaulted to true in @<Type>Region annotations for @EnableEntityDefinedRegions.
* SGF-602 - Rename @EnableIndexes to @EnableIndexing.
* SGF-598 - Add support for suspend and resume in GemfireTransactionManager.
* SGF-595 - Integrate Spring Data Commons Java 8 support.
* SGF-594 - Difficult to determine whether GemFireRepository.findAll(keys) records not found.
* SGF-593 - Refactor failing client/server integration tests due to static port allocation.
* SGF-590 - Remove reference to Spring's ConstantException from InterestUnitTests.
* SGF-588 - Reorganize and repackage additional classes in the SDG API.
* SGF-587 - Remove the GemfireBeanFactoryLocator and replace with SpringContextBootstrappingInitializer.
* SGF-585 - Update project documentation with the CLA tool integration.
* SGF-583 - Introduce InterestBuilder class to appropriately and flexibly express interests in keys/values between client/server when using JavaConfig.
* SGF-582 - Add support for using bean property "id" as a Region key if @Id annotation is not present.
* SGF-581 - Fix possible test failure(s) in GenericRegionFactoryBeanTest.
* SGF-580 - Upgrade to GemFire 9.0.1.
* SGF-577 - Late initialization of GemfireBeanFactoryLocator causes IllegalStateException.
* SGF-576 - Adapt API in RepositoryFactoryBeanSupport implementation.
* SGF-574 - Register repository factory in spring.factories for multi-store support.
* SGF-573 - Change spring-shell dependency to 'test' scope and remove Bundlor from Gradle build.
* SGF-572 - Release 2.0 M2 (Kay).
* SGF-567 - Upgrade to GemFire 9.0.0-beta.1.
* SGF-549 - Configure DiskStores with annotations.
* SGF-548 - Configure Regions with annotations.
* SGF-547 - Configure Eviction with annotations.
* SGF-516 - Configure Expiration with annotations.
* SGF-476 - Support bootstrapping a Geode server after Geode removes SDG dependency - GEODE-1025.
* SGF-402 - Add Lucene Integration support.
* SGF-250 - @EnableGemfireRegions for @Region.
* SGF-106 - Add annotation support for creating Indexes.


Changes in version 1.8.8.RELEASE (2017-03-02)
---------------------------------------------
* SGF-591 - Release 1.8.8 (Hopper SR8).


Changes in version 1.9.1.RELEASE (2017-03-02)
---------------------------------------------
* SGF-599 - Upgrade to Pivotal GemFire 8.2.3.
* SGF-598 - Add support for suspend and resume in GemfireTransactionManager.
* SGF-594 - Difficult to determine whether GemFireRepository.findAll(keys) records not found.
* SGF-592 - Release 1.9.1 (Ingalls SR1).


Changes in version 1.8.7.RELEASE (2017-01-26)
---------------------------------------------
* SGF-578 - Release 1.8.7 (Hopper SR7).


Changes in version 1.9.0.RELEASE (2017-01-26)
---------------------------------------------
* SGF-585 - Update project documentation with the CLA tool integration.
* SGF-582 - Add support for using bean property "id" as a Region key if @Id annotation is not present.
* SGF-581 - Fix possible test failure(s) in GenericRegionFactoryBeanTest.
* SGF-579 - Release 1.9 GA (Ingalls).


Changes in version 1.8.6.RELEASE (2016-12-21)
---------------------------------------------
* SGF-577 - Late initialization of GemfireBeanFactoryLocator causes IllegalStateException.
* SGF-570 - Respect manual-start on Gateway Senders/Receivers but no longer couple the start/stop lifecycle to the Spring container.
* SGF-561 - Release 1.8.6 (Hopper SR6).
* SGF-526 - Add Maven Profile with Repository Declaration to resolve the GemFire artifact for Spring Boot.


Changes in version 1.9.0.RC1 (2016-12-21)
-----------------------------------------
* SGF-576 - Adapt API in RepositoryFactoryBeanSupport implementation.
* SGF-574 - Register repository factory in spring.factories for multi-store support.
* SGF-571 - Remove explicit call to start() in ContinuousQueryListenerContainer.afterPropertiesSet().
* SGF-570 - Respect manual-start on Gateway Senders/Receivers but no longer couple the start/stop lifecycle to the Spring container.
* SGF-568 - Upgrade to GemFire 8.2.2.
* SGF-562 - Include attribute to enable BeanFactoryLocator support in Annotation config.
* SGF-555 - Repository queries on client Regions associated with a Pool configured for a specific server group can lead to a RegionNotFoundException.
* SGF-553 - Use SDG's MappingPdxSerializer as the default PdxSerializer when PDX is configured with @EnablePdx.
* SGF-552 - Unset 'mcast-port' when 'locators' are specified and unset 'locators' when @EnableMcast is used.
* SGF-549 - Configure DiskStores with annotations.
* SGF-548 - Configure Regions with annotations.
* SGF-547 - Configure Eviction with annotations.
* SGF-546 - Configure Auto Region Lookup using annotations.
* SGF-545 - Register the ClientRegionPoolBeanFactoryPostProcessor for the new Annotation config model.
* SGF-544 - Register the PdxDiskStoreAwareBeanFactoryPostProcessor for the new Annotation config model.
* SGF-543 - Register the DiskStoreDirectoryBeanPostProcessor for the new Annotation config model.
* SGF-542 - Register the DefinedIndexesApplicationListener for the new Annotation config model.
* SGF-541 - Register the CustomEditorBeanFactoryPostProcessor for the Annotation config model.
* SGF-540 - Configure additional Pools using annotations.
* SGF-539 - Change GemfireCache.evict(key) to call Region.remove(key).
* SGF-538 - Reorganize the XML configuration classes and support in SDG.
* SGF-535 - Allow both SpEL and property placeholder expressions to be used in the locators/servers attributes of the <gfe:pool> XML namespace element.
* SGF-534 - Fix ordered GemfireRepository.findAll(Sort) queries.
* SGF-528 - Enable GemfireCacheManager to explicitly specify Cache names referring to Regions that will be used in Spring's Caching Infrastructure.
* SGF-527 - Allow extension of the ClientRegionAndPoolBeanFactoryPostProcessor.
* SGF-526 - Add Maven Profile with Repository Declaration to resolve the GemFire artifact for Spring Boot.
* SGF-522 - There are a few broken links in SDG documentation.
* SGF-516 - Configure Expiration with annotations.
* SGF-509 - Release 1.9 RC1 (Ingalls).
* SGF-508 - Fix embedded Locator and Manager service configuration using Java-based configuration meta-data with @Enabled annotations.
* SGF-250 - @EnableGemfireRegions for @Region.
* SGF-106 - Add annotation support for creating Indexes.


Changes in version 2.0.0.M1 (2016-11-23)
----------------------------------------
* SGF-571 - Remove explicit call to start() in ContinuousQueryListenerContainer.afterPropertiesSet().
* SGF-570 - Respect manual-start on Gateway Senders/Receivers but no longer couple the start/stop lifecycle to the Spring container.
* SGF-569 - Move Off-Heap, Redis Adapter and Security Annotation config from apache-geode to SDG 2.0.x.
* SGF-564 - Setup 2.0 development.
* SGF-563 - Release 2.0 M1 (Kay).


Changes in version 1.8.5.RELEASE (2016-11-03)
---------------------------------------------
* SGF-555 - Repository queries on client Regions associated with a Pool configured for a specific server group can lead to a RegionNotFoundException.
* SGF-539 - Change GemfireCache.evict(key) to call Region.remove(key).
* SGF-537 - Release 1.8.5 (Hopper SR5).


Changes in version 1.8.4.RELEASE (2016-09-29)
---------------------------------------------
* SGF-535 - Allow both SpEL and property placeholder expressions to be used in the locators/servers attributes of the <gfe:pool> XML namespace element.
* SGF-534 - Fix ordered GemfireRepository.findAll(Sort) queries.
* SGF-531 - Release 1.8.4 (Hopper SR4).


Changes in version 1.7.6.RELEASE (2016-09-29)
---------------------------------------------
* SGF-536 - Release 1.7.6 (Gosling SR6).
* SGF-535 - Allow both SpEL and property placeholder expressions to be used in the locators/servers attributes of the <gfe:pool> XML namespace element.
* SGF-534 - Fix ordered GemfireRepository.findAll(Sort) queries.


Changes in version 1.7.5.RELEASE (2016-09-20)
---------------------------------------------
* SGF-532 - org.springframework.shell:spring-shell is listed in the pom as a runtime dependency.
* SGF-530 - Move project build to Maven.
* SGF-529 - Release 1.7.5 (Gosling SR5).
* SGF-522 - There are a few broken links in SDG documentation.
* SGF-507 - Handle case-insensitive OQL queries defined as Repository query methods.
* SGF-504 - Support Repositories with multiple Spring Data modules on the class path.
* SGF-475 - Add additional logging to the MappingPdxSerializer.
* SGF-474 - Fix the NPE in the MappingPdxSerializer.


Changes in version 1.8.3.RELEASE (2016-09-20)
---------------------------------------------
* SGF-522 - There are a few broken links in SDG documentation.
* SGF-507 - Handle case-insensitive OQL queries defined as Repository query methods.
* SGF-506 - ExceptionInInitializerError with  Spring Gemfire 1.8.1.
* SGF-504 - Support Repositories with multiple Spring Data modules on the class path.
* SGF-503 - Release 1.8.3 (Hopper SR3).


Changes in version 1.9.0.M1 (2016-07-27)
----------------------------------------
* SGF-507 - Handle case-insensitive OQL queries defined as Repository query methods.
* SGF-506 - ExceptionInInitializerError with  Spring Gemfire 1.8.1.
* SGF-504 - Support Repositories with multiple Spring Data modules on the class path.
* SGF-502 - DiskStoreAndEvictionRegionParsingTest fails when building with Maven due to missing Disk Store sub-directory.
* SGF-501 - Add serialVersionUID to ListRegionsOnServerFunction.
* SGF-499 - Prevent SDG-defined Pools from being destroyed before the Regions that use them.
* SGF-497 - Intermittent failures in DurableClientCacheIntegrationTest.
* SGF-496 - Upgrade to Pivotal GemFire 8.2.1.
* SGF-495 - Add 1.9 XML schemas for SDG namespaces.
* SGF-494 - Fix bug in GemfirePersistentEntity caused by Spring Data Commons ClassGeneratingPropertyAccessorFactory.
* SGF-492 - Improve GemFire Java-based configuration support - Iteration 1.
* SGF-486 - Release 1.9 M1 (Ingalls).
* SGF-445 - Remove MaxPermSize Java option from Gradle build.
* SGF-267 - Backwards Compatibility Testing between Clients and Servers as well as between GemFire Peer Members.


Changes in version 1.8.2.RELEASE (2016-06-15)
---------------------------------------------
* SGF-502 - DiskStoreAndEvictionRegionParsingTest fails when building with Maven due to missing Disk Store sub-directory.
* SGF-501 - Add serialVersionUID to ListRegionsOnServerFunction.
* SGF-499 - Prevent SDG-defined Pools from being destroyed before the Regions that use them.
* SGF-497 - Intermittent failures in DurableClientCacheIntegrationTest.
* SGF-487 - Release 1.8.2 (Hopper SR2).
* SGF-484 - NoSuchMethodError  with Spring Data Gemfire RC1  version.


Changes in version 1.8.1.RELEASE (2016-04-06)
---------------------------------------------
* SGF-485 - Release 1.8.1 (Hopper SR1).


Changes in version 1.8.0.RELEASE (2016-04-06)
---------------------------------------------
* SGF-483 - Add pull request template.
* SGF-482 - Release 1.8 GA (Hopper).


Changes in version 1.8.0.RC1 (2016-03-18)
-----------------------------------------
* SGF-481 - Upgrade to Spring Framework 4.2.5.RELEASE.
* SGF-480 - Change default for use-bean-factory-locator to false.
* SGF-479 - Remove lazy initialization option for configuring a GemFire cache.
* SGF-478 - Release 1.8 RC1 (Hopper).
* SGF-475 - Add additional logging to the MappingPdxSerializer.
* SGF-474 - Fix the NPE in the MappingPdxSerializer.
* SGF-473 - Allow a Spring-configured ClientCache to be constructed without a Pool.
* SGF-472 - Dependency to Aspectjweaver missing in Hopper M1.
* SGF-469 - Add support for CDI.
* SGF-416 - Avoid eager creation of a GemFire DistributedSystem in the PoolFactoryBean by creating a ClientCache first.


Changes in version 1.7.4.RELEASE (2016-02-23)
---------------------------------------------
* SGF-473 - Allow a Spring-configured ClientCache to be constructed without a Pool.
* SGF-470 - Release 1.7.4 (Gosling SR4).
* SGF-462 - Add appinfo hint to client region element in XSD.
* SGF-460 - Remove unnecessary SLF4J compile-time dependency.
* SGF-459 - Add support for the get(key:Object, valueLoader:Callable) method in Spring Framework 4.3's Cache interface.
* SGF-458 - Enable resolution of GemFire's DistributedSystem and System properties to be overridden in PoolFactoryBean.
* SGF-457 - Clean up Javadoc warnings.


Changes in version 1.8.0.M1 (2016-02-12)
----------------------------------------
* SGF-468 - Improve coordination between the PoolFactoryBean and ClientCacheFactoryBean when configuring and resolving the GemFire DistributedSystem.
* SGF-467 - Add Code of Conduct.
* SGF-466 - Restore function to the Gradle-based build.
* SGF-465 - Move project build to Maven.
* SGF-464 - Release 1.8 M1 (Hopper).
* SGF-462 - Add appinfo hint to client region element in XSD.
* SGF-461 - Upgrade to Spring Framework 4.1.9.RELEASE.
* SGF-460 - Remove unnecessary SLF4J compile-time dependency.
* SGF-459 - Add support for the get(key:Object, valueLoader:Callable) method in Spring Framework 4.3's Cache interface.
* SGF-458 - Enable resolution of GemFire's DistributedSystem and System properties to be overridden in PoolFactoryBean.
* SGF-457 - Clean up Javadoc warnings.
* SGF-455 - Fix creation of GemfireMappingContext for repositories.
* SGF-454 - Adapt to API changes in Spring Data Commons.
* SGF-450 - GemfireRepositoryFactoryBean needs to explicitly register the "default" GemfireMappingContext when not explicitly defined as a bean in the application's Spring context.
* SGF-449 - GemfireRepositoryFactoryBean.setGemfireMappingContext needs to call RepositoryFactoryBeanSupport.setMappingContext.
* SGF-448 - GemfireRepositoryConfigurationExtension needs to override the RepositoryConfigurationExtensionSupport postProcess(:BeanDefinitionBuilder, :AnnotationRepositoryConfigurationSource) method.
* SGF-447 - Fix apache-geode build due to recent changes in Apache Geode that removed various internal utility classes in favor of external Spring classes.
* SGF-442 - Remove incorrect statements about GemFire Java Reflection-based (PDX) Serialization in the SDG Reference Guide.
* SGF-441 - Fix possible CacheClosedException in ClientCacheFactoryBean onApplicationEvent(:ContextRefreshedEvent) when the ClientCache initialization is lazy.
* SGF-440 - Optimize imports across the SDG codebase.
* SGF-439 - Add 'durable-client-id' and 'durable-client-timeout' attributes to the <gfe:client-cache> namespace element for convenience.
* SGF-438 - Make <gfe:client-cache>, 'ready-for-events' true the default for durable clients.
* SGF-437 - Upgrade to Spring Framework 4.1.8.RELEASE.
* SGF-434 - Add a durable GemFire client cache test to assert proper behavior by SDG.
* SGF-433 - Fix improper resolution of Spring property placeholders in 'locators' and 'servers' attributes on the '<gfe:pool>' element(s) in Spring XML config.
* SGF-432 - IndexFactoryBean traps IndexExistsException instead of IndexNameConflictException.
* SGF-431 - Remove mavenLocal() from the artifact repository declarations.
* SGF-430 - Cleanup test failures on Windows due to incorrect Spring test context configuration resource resolution.
* SGF-429 - GemfirePersistentProperty considers a BigDecimal property an entity.
* SGF-427 - Update Spring Data GemFire Reference Guide 'New in the 1.7 Release' section.
* SGF-387 - Prepare SDG 1.8 and upgrade to GemFire 8.2.0 GA.
* SGF-373 - Implement a Spring Session Adapter for GemFire to back an HttpSession similar to Redis.


Changes in version 1.7.2.RELEASE (2015-12-18)
---------------------------------------------
* SGF-456 - Release 1.7.2 (Gosling).
* SGF-455 - Fix creation of GemfireMappingContext for repositories.
* SGF-450 - GemfireRepositoryFactoryBean needs to explicitly register the "default" GemfireMappingContext when not explicitly defined as a bean in the application's Spring context.
* SGF-449 - GemfireRepositoryFactoryBean.setGemfireMappingContext needs to call RepositoryFactoryBeanSupport.setMappingContext.
* SGF-448 - GemfireRepositoryConfigurationExtension needs to override the RepositoryConfigurationExtensionSupport postProcess(:BeanDefinitionBuilder, :AnnotationRepositoryConfigurationSource) method.
* SGF-447 - Fix Spring Data GemFire due to recent changes to Apache Geode that removed various internal utility classes in favor of external Spring classes.


Changes in version 1.7.1.RELEASE (2015-11-15)
---------------------------------------------
* SGF-446 - Release 1.7.1 (Gosling).
* SGF-443 - Fix Spring Data GemFire apache-geode build due to recent changes to Apache Geode that removed the HDFS support.
* SGF-442 - Remove incorrect statements about GemFire Java Reflection-based (PDX) Serialization in the SDG Reference Guide.
* SGF-437 - Upgrade to Spring Framework 4.1.8.RELEASE.
* SGF-434 - Add a durable GemFire client cache test to assert proper behavior by SDG.
* SGF-433 - Fix improper resolution of Spring property placeholders in 'locators' and 'servers' attributes on the '<gfe:pool>' element(s) in Spring XML config.
* SGF-432 - IndexFactoryBean traps IndexExistsException instead of IndexNameConflictException.
* SGF-430 - Cleanup test failures on Windows due to incorrect Spring test context configuration resource resolution.
* SGF-429 - GemfirePersistentProperty considers a BigDecimal property an entity.
* SGF-427 - Update Spring Data GemFire Reference Guide 'New in the 1.7 Release' section.


Changes in version 1.5.4.RELEASE (2015-10-14)
---------------------------------------------
* SGF-436 - Release 1.5.4 (Evans).


Changes in version 1.7.0.RELEASE (2015-09-01)
---------------------------------------------
* SGF-426 - Release 1.7 GA (Gosling).
* SGF-425 - Allow early initialization and re-initialization of LazyWiringDeclarableSupport instances.
* SGF-423 - Handle improper ClassCastException thrown from SDG's Function Execution interface and annotation-based support when a GemFire Function throws an Exception.
* SGF-419 - Documentation error on page 22 in the Spring Data GemFire Reference PDF.
* SGF-408 - Provide support in the SDG XML namespace to load a pre-defined data set using GemFire Snapshot Service for development and testing purposes.
* SGF-392 - Add support for OQL Query statement extensions in Repository Query methods via Annotations.


Changes in version 1.7.0.RC1 (2015-08-04)
-----------------------------------------
* SGF-422 - Release 1.7 RC1 (Gosling).
* SGF-421 - Fix Spring Data GemFire's MappingPdxSerializer due to the package-private access modifier change on org.springframework.data.mapping.model.BeanWrapper.
* SGF-418 - Merge PR #83 updating the Spring IO Platform Plugin to perform compatibility checks.
* SGF-417 - Update apache-geode SDG branch based on the latest Apache Geode developments (snapshot 20150713182515).
* SGF-415 - Remove the ClientCacheFactory Pool configuration in ClientCacheFactoryBean.
* SGF-414 - Resolve incompatibility between the DistributedSystem created by the PoolFactoryBean and the DistributedSystem resolved by the ClientCacheFactoryBean when SSL is configured.
* SGF-410 - Enable the definition and creation of a generic, GemFire Cache Region with out-the-box defaults.
* SGF-409 - Modify the GemfireDataSourcePostProcessor (basis for <gfe:datasource>) to not assume a GemFire Server was configured and bootstrapped with Spring and subsequently that the SDG ListRegionsOnServerFunction was registered.
* SGF-407 - Modify the MappingPdxSerializer to allow for extensibility.
* SGF-406 - Fix JavaDoc build.
* SGF-404 - Enable Expiration settings and policies to be specified per application domain object using an @Expiration annotation and a "custom", SDG-provided CustomExpiry instance.
* SGF-398 - Provide early support of Apache Geode (Pivotal GemFire OSS).
* SGF-370 - Add multi-Index definition and creation support.


Changes in version 1.6.2.RELEASE (2015-07-28)
---------------------------------------------
* SGF-420 - Release 1.6.2 (Fowler).
* SGF-415 - Remove the ClientCacheFactory Pool configuration in ClientCacheFactoryBean.
* SGF-414 - Resolve incompatibility between the DistributedSystem created by the PoolFactoryBean and the DistributedSystem resolved by the ClientCacheFactoryBean when SSL is configured.
* SGF-409 - Modify the GemfireDataSourcePostProcessor (basis for <gfe:datasource>) to not assume a GemFire Server was configured and bootstrapped with Spring and subsequently that the SDG ListRegionsOnServerFunction was registered.


Changes in version 1.4.6.RELEASE (2015-07-01)
---------------------------------------------
* SGF-411 - Release 1.4.6 (Dijkstra).
* SGF-399 - Fix incorrect XSD appinfo annotation, expected 'type' attribute value on the 'error-handler' attribute of the 'cq-listener-container' element.


Changes in version 1.5.3.RELEASE (2015-07-01)
---------------------------------------------
* SGF-412 - Release 1.5.3 (Evans).
* SGF-407 - Modify the MappingPdxSerializer to allow for extensibility.
* SGF-406 - Fix JavaDoc build.
* SGF-399 - Fix incorrect XSD appinfo annotation, expected 'type' attribute value on the 'error-handler' attribute of the 'cq-listener-container' element.
* SGF-393 - Region scope not properly set for replicated region, prevents client CQ from registering properly.
* SGF-385 - Local region does remote put in addition to local put in client cache.
* SGF-384 - Issue with partitioned-region-template when persistence is enabled.
* SGF-382 - Add logging to the SpringContextBootstrappingInitializer init method to capture any Spring context/GemFire errors on startup.
* SGF-381 - Enable RegionFactoryBean to respect the Data Policy specified on a nested or referenced RegionAttributes bean definition.
* SGF-379 - Specifying multiple or a single Gateway Endpoint with one or more GatewayListeners is not permitted by the SDG XML namespace (XSD) gatewayType element definition.
* SGF-378 - SDG completely ignores the 'socket-read-timeout' attribute on the Gateway element nested in a GatewayHub.
* SGF-376 - The GemFire WAN GatewayHub support needs refactoring and test coverage.
* SGF-375 - The <gfe:gateway-hub> XML namespace element is missing the 'max-time-between-pings' attribute.
* SGF-374 - Specifying a disk-store on a GatewayHub forces the GatewayHub to be persistent.


Changes in version 1.6.1.RELEASE (2015-06-30)
---------------------------------------------
* SGF-413 - Release 1.6.1 (Fowler).
* SGF-407 - Modify the MappingPdxSerializer to allow for extensibility.
* SGF-406 - Fix JavaDoc build.
* SGF-400 - Enable the ability to set the ClassLoader used by the Spring ApplicationContext created in the SpringContextBootstrappingInitializer for loading bean definition classes and resolving resources.
* SGF-399 - Fix incorrect XSD appinfo annotation, expected 'type' attribute value on the 'error-handler' attribute of the 'cq-listener-container' element.
* SGF-396 - Enable support for variable Locator and Server endpoints on a SDG GFE Pool bean definition in a Spring Context.
* SGF-395 - Allow Spring JavaConfig @Configuration classes to be registered and used to configure the (AnnotationConfig)ApplicationContext created by the SpringContextBootstrappingInitializer.
* SGF-394 - Improve SDG Gradle build removing FindBug compilation warnings caused by GemFire.
* SGF-393 - Region scope not properly set for replicated region, prevents client CQ from registering properly.


Changes in version 1.7.0.M1 (2015-06-02)
----------------------------------------
* SGF-405 - Release 1.7 M1 (Gosling).
* SGF-403 - Simplify the process of adding custom methods to Spring Data GemFire Repositories.
* SGF-400 - Enable the ability to set the ClassLoader used by the Spring ApplicationContext created in the SpringContextBootstrappingInitializer for loading bean definition classes and resolving resources.
* SGF-399 - Fix incorrect XSD appinfo annotation, expected 'type' attribute value on the 'error-handler' attribute of the 'cq-listener-container' element.
* SGF-397 - Upgrade to Spring Framework 4.1.6.RELEASE.
* SGF-396 - Enable support for variable Locator and Server endpoints on a SDG GFE Pool bean definition in a Spring Context.
* SGF-395 - Allow Spring JavaConfig @Configuration classes to be registered and used to configure the (AnnotationConfig)ApplicationContext created by the SpringContextBootstrappingInitializer.
* SGF-394 - Improve SDG Gradle build removing FindBug compilation warnings caused by GemFire.
* SGF-393 - Region scope not properly set for replicated region, prevents client CQ from registering properly.
* SGF-391 - Simplify and improve the robustness of the JNDI DataSource Type matching used in the Cache FactoryBeans.
* SGF-390 - Improve unit test coverage for the PoolFactoryBean class.
* SGF-389 - Improve unit test coverage of the ClientCacheFactoryBean class.
* SGF-388 - Improve unit test coverage of the CacheFactoryBean class.
* SGF-383 - Refactor and make RegionFactoryBean and RegionLookupFactoryBean abstract.
* SGF-371 - The GatewayReceiverFactoryBean needs to set GatewayReceiverFactory.setManualStart(false) in GemFire 8.1 in order to enable manual starts on a GatewayReceiver.
* SGF-357 - Optimize SimpleGemfireRepository.deleteAll() by using the new Region.removeAll() operation.
* SGF-353 - Prepare SDG 1.7 and upgrade to GemFire 8.1.0 GA.
* SGF-345 - Add PDX Aliases support.
* SGF-322 - Add support for the newly added, retro 'max-connections' attribute on the <gfe:gateway-hub> element in the SDG XML namespace (XSD).
* SGF-196 - Support adding CacheListeners, CacheLoaders and CacheWriters, along with other mutable Region attributes to an existing Region.


Changes in version 1.6.0.RELEASE (2015-03-23)
---------------------------------------------
* SGF-386 - Release 1.6 GA.
* SGF-385 - Local region does remote put in addition to local put in client cache.
* SGF-384 - Issue with partitioned-region-template when persistence is enabled.
* SGF-382 - Add logging to the SpringContextBootstrappingInitializer init method to capture any Spring context/GemFire errors on startup.
* SGF-381 - Enable RegionFactoryBean to respect the Data Policy specified on a nested or referenced RegionAttributes bean definition.


Changes in version 1.6.0.RC1 (2015-03-05)
-----------------------------------------
* SGF-380 - Release 1.6 RC1.
* SGF-379 - Specifying multiple or a single Gateway Endpoint with one or more GatewayListeners is not permitted by the SDG XML namespace (XSD) gatewayType element definition.
* SGF-378 - SDG completely ignores the 'socket-read-timeout' attribute on the Gateway element nested in a GatewayHub.
* SGF-376 - The GemFire WAN GatewayHub support needs refactoring and test coverage.
* SGF-375 - The <gfe:gateway-hub> XML namespace element is missing the 'max-time-between-pings' attribute.
* SGF-374 - Specifying a disk-store on a GatewayHub forces the GatewayHub to be persistent.
* SGF-366 - Unable to create local-only, client-based Region Indexes using SDG's <gfe:index> and corresponding IndexFactoryBean functionality.
* SGF-364 - Move EvictionAttributesFactoryBean and SubscriptionAttributesFactoryBean along with supporting enum types from the ..data.gemfire.config package to ..data.gemfire.
* SGF-363 - Upgrade to Spring Framework 4.0.9.RELEASE.
* SGF-360 - Failures in SubRegionNamespaceTests when built with Java 8.
* SGF-358 - Enhance SDG's Function annotation support to allow strongly-typed arguments in the context of PDX even when read-serialized is set to true.
* SGF-354 - SimpleGemfireRepository.deleteAll that supports transactions.
* SGF-289 - Enumeration restrictions (xsd:enumeration) should be avoided in the XML schema.


Changes in version 1.5.2.RELEASE (2015-01-28)
---------------------------------------------
* SGF-368 - Release 1.5.2.
* SGF-366 - Unable to create local-only, client-based Region Indexes using SDG's <gfe:index> and corresponding IndexFactoryBean functionality.
* SGF-363 - Upgrade to Spring Framework 4.0.9.RELEASE.
* SGF-360 - Failures in SubRegionNamespaceTests when built with Java 8.
* SGF-358 - Enhance SDG's Function annotation support to allow strongly-typed arguments in the context of PDX even when read-serialized is set to true.
* SGF-354 - SimpleGemfireRepository.deleteAll that supports transactions.
* SGF-352 - Change all Artifact Repository URLs to use HTTPS.
* SGF-348 - Upgrade to Spring Framework 4.0.8.RELEASE.


Changes in version 1.4.5.RELEASE (2015-01-27)
---------------------------------------------
* SGF-369 - Fix Javadoc so that 1.4.x builds on Java 8.
* SGF-367 - Release 1.4.5.
* SGF-362 - Upgrade to Spring Framework 3.2.13.RELEASE.
* SGF-352 - Change all Artifact Repository URLs to use HTTPS.
* SGF-349 - Upgrade to Spring Framework 3.2.12.RELEASE.
* SGF-346 - Enable LazyWiringDeclarableSupport-based GemFire components to be used inside both cache.xml and Spring config, especially in the context of GemFire 8's Cluster Configuration.
* SGF-343 - Optimize the SDG implementation of CrudRepository.save(Iterable<S> enttiies) to use GemFire's Region.putAll(Map<K, V> values) operation.
* SGF-337 - SDG's XML Schema (XSD) does not allow the developer to specify 'timeout' and 'action' values for CustomExpiry (<gfe:custom-entry-[ttl|tti]>) on Region attributes.
* SGF-336 - Upgrade to Spring Framework 3.2.11.RELEASE.
* SGF-333 - The SpringContextBootstrappingInitializer needs to handle the case when it's init(:Properties) method maybe called more than once on initialization.
* SGF-330 - Add missing 'disk-synchronous' attribute to the <gfe:gateway-sender> element in the SDG XML namespace (XSD).
* SGF-328 - Add missing 'hostname-for-senders' attribute on the <gfe:gateway-receiver> element in the SDG XML namespace (XSD).
* SGF-327 - Avoid setting null values with GemFire's Cache Region put(key, value) operation when GemFire is used as the caching provider in Spring's Cache Abstraction (@Cacheable).
* SGF-317 - Improve GemfireCache implementation to be able to build on Spring 4.1.


Changes in version 1.6.0.M1 (2014-12-01)
----------------------------------------
* SGF-356 - local-region on client side.
* SGF-355 - Release 1.6 M1.
* SGF-350 - Upgrade to Spring Data Commons 1.10.
* SGF-348 - Upgrade to Spring Framework 4.0.8.RELEASE.
* SGF-346 - Enable LazyWiringDeclarableSupport-based GemFire components to be used inside both cache.xml and Spring config, especially in the context of GemFire 8's Cluster Configuration.
* SGF-343 - Optimize the SDG implementation of CrudRepository.save(Iterable<S> enttiies) to use GemFire's Region.putAll(Map<K, V> values) operation.
* SGF-342 - Update Spring Data GemFire Reference Guide with GemFire 8 functional support.
* SGF-340 - Change a SpringSource-based links in the SDG Reference Guide to Spring.io-based links.
* SGF-339 - Change all VMWare-based links in the SDG Reference Guide to Pivotal-based links.
* SGF-338 - Both <gfe:custom-entry-ttl> and <gfe:custom-entry-tti> SDG XML namespace elements allow for more than one 'CustomExpiry' bean to be set in the Region Expiration Attributes although GemFire only allows one!.
* SGF-337 - SDG's XML Schema (XSD) does not allow the developer to specify 'timeout' and 'action' values for CustomExpiry (<gfe:custom-entry-[ttl|tti]>) on Region attributes.
* SGF-333 - The SpringContextBootstrappingInitializer needs to handle the case when it's init(:Properties) method maybe called more than once on initialization.
* SGF-332 - Add support for the GatewaySender 'eventSubstitutionFilter' property in the SDG XSD and GatewaySenderFactoryBean API.
* SGF-331 - Pull common WAN attributes from GatewaySenders and AsyncEventQueues in the SDG XSD into the 'commonWANQueueAttributes' attributes group.
* SGF-330 - Add missing 'disk-synchronous' attribute to the <gfe:gateway-sender> element in the SDG XML namespace (XSD).
* SGF-328 - Add missing 'hostname-for-senders' attribute on the <gfe:gateway-receiver> element in the SDG XML namespace (XSD).
* SGF-327 - Avoid setting null values with GemFire's Cache Region put(key, value) operation when GemFire is used as the caching provider in Spring's Cache Abstraction (@Cacheable).
* SGF-326 - Create spring-gemfire-1.6.xsd and spring-data-gemfire-1.6.xsd for SDG 1.6.
* SGF-325 - Create spring-gemfire-2.0.xsd and spring-data-gemfire-2.0.xsd for SDG 2.
* SGF-323 - Add support for GemFire 8's DiskStore 'diskUsageCriticalPercentage' and 'diskUsageWarningPercentage' properties in the SDG XML namespace (XSD) and DiskStoreFactoryBean API.
* SGF-318 - Upgrade to Spring Framework 4.0.7.
* SGF-317 - Improve GemfireCache implementation to be able to build on Spring 4.1.
* SGF-316 - Update Spring Data GemFire Reference Guide with 1.5 changes (e.g. Auto Region Lookups, Region Templates).
* SGF-314 - Upgrade to Spring Framework 4.0.7.
* SGF-313 - SDG 1.6 support for both GemFire 7 and GemFire 8.
* SGF-309 - Add support for Region Data Compression with the new 'Compressor' property on the RegionAttributes class.
* SGF-291 - Upgrade Spring Data GemFire 1.5 to GemFire 8.0.
* SGF-270 - Remove the validation logic in the AsyncEventQueueFactoryBean restricting the specification of Dispatcher Threads when a 'Parallel' AsyncEventQueue is used.
* SGF-269 - Remove the validation logic in the GatewaySenderFactoryBean restricting the specification of Dispatcher Threads when a 'Parallel' GatewaySender is used.
* SGF-264 - Completely remove the 'data-policy' and 'shortcut' attributes from the SDG XML namespace Region elements.
* SGF-227 - Support for 'auto-reconnect' functionality when peers are forcefully disconnected from the cluster.
* SGF-226 - Support for requesting a peer member's configuration from a GemFire Locator/Manager using the new Cluster-based Configuration Service.



Changes in version 1.5.1.RELEASE (2014-10-30)
---------------------------------------------
* SGF-347 - Release 1.5.1.
* SGF-346 - Enable LazyWiringDeclarableSupport-based GemFire components to be used inside both cache.xml and Spring config, especially in the context of GemFire 8's Cluster Configuration.
* SGF-343 - Optimize the SDG implementation of CrudRepository.save(Iterable<S> enttiies) to use GemFire's Region.putAll(Map<K, V> values) operation.
* SGF-340 - Change a SpringSource-based links in the SDG Reference Guide to Spring.io-based links.
* SGF-339 - Change all VMWare-based links in the SDG Reference Guide to Pivotal-based links.
* SGF-337 - SDG's XML Schema (XSD) does not allow the developer to specify 'timeout' and 'action' values for CustomExpiry (<gfe:custom-entry-[ttl|tti]>) on Region attributes.
* SGF-333 - The SpringContextBootstrappingInitializer needs to handle the case when it's init(:Properties) method maybe called more than once on initialization.
* SGF-330 - Add missing 'disk-synchronous' attribute to the <gfe:gateway-sender> element in the SDG XML namespace (XSD).
* SGF-328 - Add missing 'hostname-for-senders' attribute on the <gfe:gateway-receiver> element in the SDG XML namespace (XSD).
* SGF-327 - Avoid setting null values with GemFire's Cache Region put(key, value) operation when GemFire is used as the caching provider in Spring's Cache Abstraction (@Cacheable).


Changes in version 1.5.0.RELEASE (2014-09-05)
---------------------------------------------
* IMPORTANT: Upgrade to Gemfire 8.0 has been postponed to a 2.0 release.
* SGF-319 - Release 1.5 GA.
* SGF-318 - Upgrade to Spring Framework 4.0.7.
* SGF-317 - Improve GemfireCache implementation to be able to build on Spring 4.1.
* SGF-316 - Update Spring Data GemFire Reference Guide with 1.5 changes (e.g. Auto Region Lookups, Region Templates).
* SGF-315 - Re-enable Bundlor plugin to create OSGi metadata.
* SGF-314 - Upgrade to Spring Framework 4.0.7.
* SGF-312 - The <gfe:partitioned-region> element in the SDG XSD does not properly support multiple PartitionListener bean definitions or references.
* SGF-311 - ClientRegionFactoryBean does not properly set the 'concurrency-checks-enabled' attribute and property of GemFire's ClientRegionFactory class.
* SGF-310 - The <gfe:client-region> element is missing the 'concurrency-level' attribute, which is supported by GemFire's ClientRegionFactory API.
* SGF-307 - Remove all default values on strongly-typed Region elements in the SDG Schema in support of Region Templates.
* SGF-305 - Move to Asciidoctor for reference documentation.
* SGF-254 - Template Regions which can be used to reuse the same Region configuration for all Regions that reference it.
* SGF-223 - Ability to create directories on-the-fly at runtime based on explicitly defined Disk Stores disk directory locations.
* SGF-207 - No support for hierarchical, inherited Region attributes like there is in GemFire's cache.xml.
* SGF-191 - Provide automated way to add all Regions defined in GemFire's cache.xml as beans in the Spring context.


Changes in version 1.4.4.RELEASE (2014-08-27)
---------------------------------------------
* SGF-308 - Release 1.4.4.
* SGF-304 - OnMembers function execution with Gemfire Group calls onMember (wrong method).


Changes in version 1.5.0.RC1 (2014-08-13)
-----------------------------------------
* SGF-306 - Release 1.5 RC1.
* SGF-304 - OnMembers function execution with Gemfire Group calls onMember (wrong method).
* SGF-291 - Upgrade Spring Data GemFire 1.5 to GemFire 8.0.
* SGF-227 - Ability to handle forced disconnects due to node failures with "Reconnect" functionality being added in GemFire.
* SGF-226 - Ability to request and get the member's configuration from a GemFire Locator/Manager using the cluster-wide configuration in the new Persistent Config feature.


Changes in version 1.4.2.RELEASE (2014-07-28)
---------------------------------------------
* SGF-303 - Release 1.4.2.
* SGF-297 - Executing SDG Functions annotated POJO methods from Gfsh does not work when "injecting" arguments during Function argument resolution.
* SGF-295 - Enable Local Region Eviction action to be set to 'LOCAL_DESTROY', which is allowed in GemFire using the public API or in cache.xml.
* SGF-294 - Enable GemFire GatewayReceivers to be started manually, the same as for GatewaySenders using SDG.
* SGF-284 - Modify SDG build (build.gradle script) to include SDG validation and compatibility checks for Spring IO.


Changes in version 1.5.0.M1 (2014-07-10)
----------------------------------------
* SGF-299 - Upgrade Spring Data GemFire 1.5 to Spring Framework 4.0.6.
* SGF-298 - Release 1.5 M1.
* SGF-297 - Executing SDG Functions annotated POJO methods from Gfsh does not work when "injecting" arguments during Function argument resolution.
* SGF-296 - Create spring-gemfire-1.5.xsd and spring-data-gemfire-1.5.xsd for SDG 1.5.
* SGF-295 - Enable Local Region Eviction action to be set to 'LOCAL_DESTROY', which is allowed in GemFire using the public API or in cache.xml.
* SGF-294 - Enable GemFire GatewayReceivers to be started manually, the same as for GatewaySenders using SDG.
* SGF-292 - Upgrade Spring Data GemFire 1.5 to Spring Framework 4.0.5.RELEASE.
* SGF-290 - SDG's Repository extension does not properly handle custom @Query annotated Repository methods returning non-Collection, non-Entity-based return values.
* SGF-215 - Ensure compatibility with Spring Framework 4.0.0.X.


Changes in version 1.4.1.RELEASE (2014-06-30)
---------------------------------------------
* SGF-293 - Release 1.4.1.
* SGF-290 - SDG's Repository extension does not properly handle custom @Query annotated Repository methods returning non-Collection, non-Entity-based return values.
* SGF-288 - CacheServer's "maximum-time-between-pings" is set to ZERO.


Changes in version 1.4.0.RELEASE (2014-05-20)
---------------------------------------------
* SGF-287 - Upgrade to Spring 3.2.9.
* SGF-286 - Release 1.4 GA.
* SGF-274 - Avoid the creation of temporary objects in the GemfireTemplate when used with Spring Data GemFire's Repository abstraction and extension.
* SGF-272 - Cleanup all Javadoc warnings.


Changes in version 1.4.0.RC1 (2014-05-02)
-----------------------------------------
* SGF-283 - Release 1.4 RC1.
* SGF-282 - The Eviction 'action', other than the default, for a PARTITION Region is not properly passed to the GemFire EvictionAttributes.createLRUEntryAttributes(..) factory method when the 'threshold' is not set.
* SGF-281 - Avoid setting the RegionAttributes Disk Store "Name" when the Region is neither "persistent" nor has an Eviction policy set to "OVERFLOW_TO_DISK".
* SGF-280 - The ContinuousQueryListenerContainer class is not Thread-safe!.
* SGF-279 - The <cq-listener-container> element is missing the 'error-handler' attribute.
* SGF-278 - The ContinuousQueryListenerContainer class's 'taskExecutor' property is not set properly by the GemfireListenerContainerParser.
* SGF-277 - OQL Join in Repository interface.
* SGF-276 - LIKE operator does not work.
* SGF-275 - The <cq-listener-container> element's 'phase' attribute is ignored.
* SGF-274 - Avoid the creation of temporary objects in the GemfireTemplate when used with Spring Data GemFire's Repository abstraction and extension.
* SGF-273 - OrderBy (static) and Sort parameter (dynamic) Repository Queries do not work!.
* SGF-271 - The <cq-listener-container> element is missing the 'auto-startup' attribute.
* SGF-268 - Make it possible to run the build on Java 7 and/or Java 8.
* SGF-265 - Upgrade to the latest version GemFire (7.0.2).


Changes in version 1.4 M1 (2014-03-31)
--------------------------------------
** Bug
    * [SGF-225] - Inconsistent data policy defaults for subregions that are replicated regions
    * [SGF-230] - Cannot specify a Disk Store to be used for overflow on a Gateway Sender without enabling persistence.
    * [SGF-231] - Unable to specify Ordering Policy for Serial GW Sender
    * [SGF-232] - Unable to specify Order Policy for Serial Async Event Queue
    * [SGF-233] - Cannot specify a Disk Store to be used for overflow on an Async Event Queue without enabling persistence.
    * [SGF-234] - The docs indicate that the PDX attribute pdx-persistent defaults to true, however this does not seem to be the case.
    * [SGF-235] - NPE in DefaultFunctionArgumentResolver.resolveFunctionArguments(30) when a Function has no arguments and none are provided.
    * [SGF-238] - "jndi-prop" is not parced correctly
    * [SGF-239] - The value "XaPooledDataSource" of jndi-binding "type" attribute should be changed to "XAPooledDataSource"
    * [SGF-240] - XML schema type restrictions should be avoided in order to support placeholders (al types should be xs:string)
    * [SGF-242] - When defining "membership-attributes" for a Region, the bean definition "required-roles" attribute is required and, when specified, causes a BeanCreationException in the Spring container during initialization.
    * [SGF-244] - The nested <gfe:gateway-sender/>, <gfe:event-filter/> element is missing the ref attribute in the XSD.
    * [SGF-245] - <gfe:cache> always creates cache with default values ignoring all the specified attributes
    * [SGF-246] - execute function always assumes arguments are passed
    * [SGF-247] - boolean based repository queries generate UnsupportedOperationException in non PDX serialized entities
    * [SGF-249] - The SDG XSD is restricting the use of property placeholder values on <gfe:disk-store/>, compaction-threshold attributes given the attribute type is a short and not string.
    * [SGF-251] - Creating and using GemFire Repositories based on the Spring Data Commons Repository abstraction does not work properly for domain objects stored in Subregions.
    * [SGF-252] - Spring GemFire's Repository extension does not properly handle multiple, identically named Subregions for persisting corresponding application domain objects associated by way of the @Region annotation.
    * [SGF-255] - The <gfe:eviction> element's 'threshold' attribute is required even when the Eviction type is 'HEAP_PERCENTAGE'.
    * [SGF-258] - The SDG XML namespace <partitioned-region> element is missing the 'data-policy' attribute.
    * [SGF-263] - The 'disk-synchronous' Region attribute does not get successfully applied when explicitly set to false.

** Improvement
    * [SGF-88] - Create Regions in Spring Context with Region Shortcuts
    * [SGF-187] - Consider appending to the list of listener a new listener defined by another peer member
    * [SGF-201] - Create a Spring Boot Starter POM for Spring Data GemFire
    * [SGF-204] - The existing RegionFactoryBean does a lookup of a Region before trying to create one.
    * [SGF-209] - GemfireTemplate creates a temporary object for every operation.
    * [SGF-210] - GemfireRepository requires that there be an attribute in the entity class for the key.
    * [SGF-236] - Sub-Region Bean names require prepended "/" (vs. previous use of gfe:lookup-region for sub-regions)
    * [SGF-241] - Add support for defining client sub-Regions using nested <gfe:client-region/> SDG XML namespace elements.
    * [SGF-256] - Upgrade to the latest version of the Spring Framework (3.2.8) and Spring Data Commons (1.8.0)
    * [SGF-257] - Specify strict type rules in the Spring Data GemFire XSD for peer Region 'data-policy' and 'shortcut' attributes as currently enforced by the <gfe:client-region> element's 'shortcut' attribute.
    * [SGF-259] - Handle cyclic bean dependencies in SDG XML config between Async Event Queues and Async Event Listeners.
    * [SGF-260] - Add the ability to set @Id to a method name.
    * [SGF-261] - Add ability to persist application domain objects (entities) to multiple Regions in a GemFire Cache.
    * [SGF-265] - Upgrade to the latest version GemFire (7.0.2)

** New Feature
    * [SGF-132] - Being able to get cacheservers overall status on the client
    * [SGF-248] - Ability to bootstrap a Spring context inside a GemFire Server JVM process by starting the GemFire Server with Gfsh.

** Task
    * [SGF-266] - Release 1.4 M1


Changes in Version 1.3.4 (2014-04-04)
-------------------------------------
General
	* This is a maintenance/patch release to address bugs and other minor improvements.
Bugs
	* [SGF-235] - NPE in DefaultFunctionArgumentResolver.resolveFunctionArguments(30) when a Function has no arguments and none are provided.
	* [SGF-238] - "jndi-prop" is not parced correctly.
	* [SGF-239] - The value "XaPooledDataSource" of jndi-binding "type" attribute should be changed to "XAPooledDataSource".
	* [SGF-240] - XML schema type restrictions should be avoided in order to support placeholders (al types should be xs:string).
	* [SGF-246] - execute function always assumes arguments are passed.
	* [SGF-249] - The SDG XSD is restricting the use of property placeholder values on <gfe:disk-store/>, compaction-threshold attributes given the attribute type is a short and not string.
	* [SGF-255] - The <gfe:eviction> element's 'threshold' attribute is required even when the Eviction type is 'HEAP_PERCENTAGE'.
Improvements
	* Upgrades SDG to Spring Framework 3.2.8 and Spring Data Commons 1.7.1.


Changes in Version 1.3.3 (2013-11-13)
-------------------------------------
General
	* This is a maintenance/patch release to address bugs and other minor improvements.
	* See [1.3.3 release notes](https://jira.springsource.org/secure/ReleaseNote.jspa?projectId=10462&version=14257).
Bugs
	* [SGF-174] - DynamicRegion usage causes ApplicationContext to fail to load when using non-dynamic parent
	* [SGF-178] - parent attribute causes endless loop in hashCode
	* [SGF-194] - Nested region do not work
	* [SGF-195] - colocated-with fails on partition region
	* [SGF-197] - A Cache (Region) created using Spring configuration with persistent PDX keys fails to start.
	* [SGF-198] - BeanCurrentlyInCreationException when injecting async-event-queue to a Gemfire replicated region
	* [SGF-200] - Extra unnecessary directory for disk store created when an embedded sender starts up
	* [SGF-203] - The treatment of 'persistence' is wrong.
	* [SGF-211] - Property placeholders don't work for copies attribute on partitioned-region
	* [SGF-216] - FunctionContextInjectingArgumentResolver only injects arguments for RegionFunctionContext
	* [SGF-217] - When configuring CacheServer with a Disk Store (used for client subscription queue overflow), the Cache Server fails to start up with an error.
	* [SGF-218] - The Eviction Policy on Client Subscription when configuring a GemFire Cache Server is not being properly set; always defaults to "NONE".
	* [SGF-219] - Unable to register GemFire CacheListeners on SubRegions.
	* [SGF-220] - Unable to register GemFire Gateway Senders on SubRegions.
	* [SGF-221] - Unable to register GemFire Async Event Listeners on SubRegions.
Improvements
	* [SGF-214] - OnMembersFunctionExecutionTemplate constructors should be public
New Features
	* [SGF-193] - concurrency-checks-enabled is not supported in SGF.
	* [SGF-206] - CacheLoader and CacheWriter are not supported on client local regions.


Changes in Version 1.3.2 (2013-08-06)
--------------------------------------
General
* This is a patch release to address bugs and minor enhancements
see [1.3.2 release notes](https://jira.springsource.org/secure/ReleaseNote.jspa?version=14219&projectId=10462)

** Bug
    * [SGF-168] - Race condition when using Spring data gemfire with tc Server parallel deployment
    * [SGF-176] - Missing Functionality: time to live and entry idle time on a local client region
    * [SGF-185] - @OnServers fails when pool attribute is set - cannot specify both pool and cache
    * [SGF-186] - BeanFactoryLocator reports cache already exists when ClientCache, Pool, and Functions are configured
    * [SGF-188] - Documentation mistake
    * [SGF-189] - Spring Gemfire does not allow persistence for a local region even though this is supported in Gemfire
    * [SGF-192] - client region ignores destroy and close settings

** Improvement
    * [SGF-180] - If nothing references the cache bean it doesn't get initialized
    * [SGF-183] - Little or no logging in Spring Gemfire

Changes in version 1.3.1.RELEASE(2013-04-18)
** Bug
    * [SGF-159] - isRollbackOnCommitFailure flag is ignored by GemfireTransactionManager when transaction fails.
    * [SGF-169] - Unidirectional Gateway hubs cannot be created and fail with an exception
    * [SGF-173] - Function Execution throws exception on void return.


Changes in version 1.3.0.RELEASE (2013-03-14)
---------------------------------------------
General
* Added annotation support for GemFire functions
* Added 'datasource' element to gfe-data namespace to simplify client connection
* Added support for JSON
See [1.3.0.M1 release notes](https://jira.springsource.org/secure/ReleaseNote.jspa?projectId=10462&version=13300)
See [1.3.0 release notes](https://jira.springsource.org/secure/ReleaseNote.jspa?projectId=10462&version=14023)


Changes in version 1.2.1.RELEASE (2012-10-26)
---------------------------------------------
General
* Upgraded to GemFire 7.0
* Added support for GemFire 7.0 WAN Configuration


Changes in version 1.2.0.RELEASE (2012-08-15)
---------------------------------------------
General
* Added support for Spring Data repositories
* The Spring Data GemFire project, formerly Spring GemFire, is now a component of the Spring Data project
* Upgraded to Spring 3.1.2.RELEASE
* Upgraded to Spring Data Commons 1.4.0.RELEASE
* The XML namespace provides support for everything that can be configured natively with Cache XML
* A separate XML namespace has been created for Spring Data Repository support

Enhancements
* [SGF-53]  - Add "enable-gateway" to replicated and partitioned region namespace config
* [SGF-75]  - Ability to define gateways in the Spring GemFire namespace
* [SGF-76]  - Disk store should be its own bean
* [SGF-79]  - Missing gateway attributes for regions
* [SGF-86]  - Make instance variables protected in CacheFactoryBean
* [SGF-95]  - Add namespace support for subregions
* [SGF-98]  - Provide namespace support for all cache and region properties
* [SGF-102] - Add support for JavaConfig for repositories
* [SGF-103] - Replace xsd:id type with xsd:string to support Spring environment profiles
* [SGF-104] - The repository deleteAll() method only works for replicated regions
* [SGF-109] - Separate repository support into its own namespace
* [SGF-111] - Change default bean names from hyphenated to camel case to support @Autowired
* [SGF-112] - Repositories should reject PagingAndSorting and Pageable parameters
* [SGF-113] - Repositories should support single entities returned from a query method
* [SGF-115] - Add support for 'Like', 'StartsWith','EndsWith', and 'Containing' repository queries

Bug Fixes
* [SGF-85] - Pdx disk store does not work when trying to references a disk store created in cache.xml
* [SGF-89] - Continuous query container fails when implementing the ContinuousQueryListener interface
* [SGF-101] - The repository deleteAll() method only works for replicated regions


Changes in version 1.1.2.RELEASE (2012-07-04)
---------------------------------------------
General
* Upgraded to GemFire 6.6.3

Package org.springframework.data.gemfire.config
* Fixed incorrect parsing of pdx-disk-store attribute


Changes in version 1.1.1.RELEASE (2012-03-20)
---------------------------------------------
General
* Upgraded to GemFire 6.6.2
* Upgraded to Spring Framework 3.1.1 GA

Package org.springframework.data.gemfire
* Fixed incorrect parsing of pdx-serializer (from value to reference)
* Fixed incorrect parsing of use-bean-factory-locator
* Fixed GemfireTransactionCommitException class hierarchy
* Improved handling of GemFire 6.5+ transaction exceptions

Package org.springframework.data.gemfire.client
* Fixed bug that caused client namespace to create only local regions


Changes in version 1.1.0.RELEASE (2011-12-14)
---------------------------------------------
General
* Upgraded to Spring Framework 3.1 GA


Changes in version 1.1.0.RC1 (2011-11-13)
-----------------------------------------
General
* Upgraded to GemFire 6.6.1
* Aligned Maven naming to Spring Data conventions (changed ids to 'org.springframework.data'/'spring-data-gemfire')
* Introduced PDX options for 'cache' and 'client-cache' elements


Changes in version 1.1.0.M3 (2011-09-25)
----------------------------------------
General
* Upgraded to GemFire 6.6 GA
* Introduced support for GemFire Indecies
* Reintroduced samples in zip distribution

Package org.springframework.data.gemfire
* Improved region creation by removing the use of GemFire 6.0 API (replaced with 6.5+)

Package org.springframework.data.gemfire.client
* Added missing properties to PoolFactoryBean and pool namespace
* Fixed registration of custom listeners specified through region attributes
* Added missing 'receive-values' property to region interests


Changes in version 1.1.0.M2 (2011-08-29)
----------------------------------------
General
* Introduced support for GemFire Continuous Query (CQ)
* Introduced support for client cache
* Introduced namespace support for region expiration attributes

Package org.springframework.data.gemfire
* Added find methods (based on the query service) inside GemFireTemplate
* Improved detection of local client regions without pools configured

Package org.springframework.data.gemfire.server
* Fixed bug occuring when applying defaults for disk stores
* Delayed CacheServer start up to allow declared regions to properly initialize


Changes in version 1.1.0.M1 (2011-07-20)
----------------------------------------
General
* Changed build system to Gradle
* Added support for GemFire 6.6
* Dropped support for GemFire 6.0 (GemFire 6.5 or higher required)
* Introduced support for CacheServer
* Introduced GemFire implementation for Spring 3.1 cache abstraction
* Upgraded to Spring Framework 3.1 M2

Package org.springframework.data.gemfire
* Introduced cache option for disabling bean factory locator; useful for multi cache definitions, in the same VM
* Added more region methods to GemfireTemplate
* Introduced support for queries with variable parameters in GemfireTemplate
* Improved handling of optimistic exception in a transaction scenario


Changes in version 1.0.1 (2011-04-26)
-------------------------------------
General
* Upgraded to GemFire 6.5.1.4
* Fix networking issue with the sample on some Linux distributions (Ubuntu)
* Loosen type constraints in the schema to allow placeholders
* Added 'statistics' attribute to all write regions

Package org.springframework.data.gemfire
* Introduced auto-close (configurable) on RegionFactoryBean

Package org.springframework.data.gemfire.config
* Fixed bug causing region names to be used as aliases for region beans

Package org.springframework.data.gemfire.client
* Improved dependency initialization between cache and pools

Package org.springframework.data.gemfire.serialization
* Improved cache-wide registration of custom instantiators

Package org.springframework.data.gemfire.support
* Introduced GemfireDaoSupport


Changes in version 1.0.0 (2011-02-02)
-------------------------------------


Changes in version 1.0.0.RC1 (2010-12-20)
-----------------------------------------
General
* Upgraded to GemFire 6.5.1
* Upgraded to Spring 3.0.5


Changes in version 1.0.0.M2 (2010-12-08)
----------------------------------------
General
* Introduced namespace for all the major SGF components
* Improved documentation to accomodate the SGF namespace

Package org.springframework.data.gemfire
* Introduced RegionLookupFactoryBean for retrieving (but not creating) regions

Package org.springframework.data.gemfire.client
* Refactored client-specific classes into a dedicated package
* Introduced support for configuring GemFire Pools


Changes in version 1.0.0.M1 (2010-08-03)
----------------------------------------
General
* Configuration support for GemFire Cache, Region
* Exception translation
* GemFire Template for exception translation
* Declarative transaction management
* Auto-generation of non-reflection based GemFire instantiators
